Subject: Re: [PATCH] arm64: dts: fsl: add support for Hummingboard Pulse

From: Baruch Siach <[email-masked]>
Date: Thu, 08 Aug 2019 15:22:42 +0300

Hi Fabio,

Thanks for your review. I'll send an updated patch shortly.

One comment below.

On Thu, Aug 08 2019, Fabio Estevam wrote:
> On Wed, Aug 7, 2019 at 11:32 AM Baruch Siach <[email-masked]> wrote:
>>
>> From: Jon Nettleton <[email-masked]>
>>
>> The SolidRun Hummingboard Pulse carrier board carries the SolidRun
>> i.MX8MQ based SOM.
>>
>> Notably missing is PCIe support that depends on analog PLLOUT clock.
>> Current imx clk driver does not support this clock.
>>
>> Signed-off-by: Jon Nettleton <[email-masked]>
>> Signed-off-by: Baruch Siach <[email-masked]>

[...]

>> +&i2c2 {
>> +       clock-frequency = <100000>;
>> +       pinctrl-names = "default";
>> +       pinctrl-0 = <&pinctrl_i2c2>;
>> +       status = "okay";
>> +
>> +       typec_ptn5100: ptn5110@50 {
>> +               compatible = "usb,tcpci";
>> +               pinctrl-names = "default";
>> +               pinctrl-0 = <&pinctrl_typec>;
>> +               reg = <0x50>;
>> +               interrupt-parent = <&gpio1>;
>> +               interrupts = <6 8>;
>> +               ss-sel-gpios = <&gpio3 15 GPIO_ACTIVE_HIGH>;
>> +               src-pdos = <0x380190c8>;
>
> This property and others do not exist in mainline
>
> Please see Documentation/devicetree/bindings/usb/typec-tcpci.txt and
> arch/arm64/boot/dts/freescale/imx8mm-evk.dts for a reference.

Thanks for the reference. I assume your refer to imx8mm-evk.dts in
Shawn's imx/dt64 branch, since it's not in the mainline tree.

One problem I had with this example is that 'port' node is not under the
'connector' node. The kernel doesn't like that:

[    1.502227] OF: graph: no port node found in /soc@0/bus@30800000/i2c@30a30000/usb-typec@50/connector

Do you see something similar?

I moved 'port' under 'connector' to avoid this warning. The TypeC
connector works either way, though.

Do you have any idea whether there is a 'ss-sel-gpios' property
equivalent in current kernel code?

Thanks again,
baruch

--
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - [email-masked] - tel: +972.52.368.4656, http://www.tkos.co.il -

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel